Bug 121892 - gtk3_kde5: Impress presentation minimizer crashes
Summary: gtk3_kde5: Impress presentation minimizer crashes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+ Master
Hardware: All Linux (All)
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:6.3.0 target:6.1.5 target:6.2.0.1
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-12-04 07:37 UTC by Michael Weghorn
Modified: 2018-12-13 21:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
GDB backtrace (13.89 KB, text/plain)
2018-12-04 07:43 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-12-04 07:37:18 UTC
When using the gtk3_kde5 VCL plugin, Impress crashes when trying to use the presentation minimizer. It works fine when using other VCL plugins.

Current build of git master:

Version: 6.3.0.0.alpha0+
Build ID: f9d145af01f8f960ea1a6a0736d976d503446804
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

Steps to reproduce:

1) open an existing presentation in Impress or create a new one
2) select "Tools" -> "Minimize Presentation"
3) click "Finish"

Result:

* LibreOffice crashes
* A "Save" dialog appears

Expected result: LibreOffice should not crash.
Comment 1 Michael Weghorn 2018-12-04 07:40:39 UTC
I'm self-confirming according to [1], since the bug has originally been reported by another user in our internal issue tracking system (in fact with at slightly different use case involving the Java extension "WollMux", but the underlying issue seems to be the same).

[1]: https://wiki.documentfoundation.org/QA/Guidelines_for_public_and_private_sector_deployments
Comment 2 Michael Weghorn 2018-12-04 07:43:43 UTC
Created attachment 147259 [details]
GDB backtrace

GDB backtrace attached. Apparently, the thread tries to release a mutex it doesn't own.
Comment 3 Commit Notification 2018-12-05 06:12:28 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8dbe0af729c9e054135a0f41706165033441f867%5E%21

tdf#121892 Guard Gtk3KDE5FilePicker::execute with SolarMutexGuard

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Weghorn 2018-12-05 06:21:21 UTC
Fixed for master now. Cherry-picks for 6.2 and 6.1 pending:

https://gerrit.libreoffice.org/#/c/64585/
https://gerrit.libreoffice.org/#/c/64586
Comment 5 Xisco Faulí 2018-12-05 09:46:32 UTC
Hi Michael Weghorn,
is this the same as bug 117466 ?
Comment 6 Michael Weghorn 2018-12-05 11:02:46 UTC
(In reply to Xisco Faulí from comment #5)
> Hi Michael Weghorn,
> is this the same as bug 117466 ?

The backtrace attached to bug 117466 suggests the underlying issue might be the same. I'll try to do a build with kde4 and have a quick look. (The fix for this bug here won't fix kde4, but it might be that just the same can be done for the kde4 code as well).
Comment 7 Commit Notification 2018-12-06 15:04:57 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/ec01cd7a2263922f2aaab6bee8aa826fb67cc7ea%5E%21

tdf#121892 Guard Gtk3KDE5FilePicker::execute with SolarMutexGuard

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-06 15:05:05 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ef36747c186e53702e9857fddc5ddfd31b1c842b%5E%21

tdf#121892 Guard Gtk3KDE5FilePicker::execute with SolarMutexGuard

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Michael Weghorn 2018-12-13 21:55:06 UTC
(In reply to Michael Weghorn from comment #6)
> (In reply to Xisco Faulí from comment #5)
> > Hi Michael Weghorn,
> > is this the same as bug 117466 ?
> 
> The backtrace attached to bug 117466 suggests the underlying issue might be
> the same. I'll try to do a build with kde4 and have a quick look. (The fix
> for this bug here won't fix kde4, but it might be that just the same can be
> done for the kde4 code as well).

Xisco: I had a quick look at bug 117466, but unfortunately it's not as straight-forward as just applying the same modification for kde4. It's probably somewhat related, but would need further investigation.